--- cl-regex-1.orig/debian/prerm
+++ cl-regex-1/debian/prerm
@@ -0,0 +1,42 @@
+#! /bin/sh
+# prerm script for lml
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# package name according to lisp
+LISP_PKG=regex
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+	/usr/sbin/unregister-common-lisp-source ${LISP_PKG}
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- cl-regex-1.orig/debian/postinst
+++ cl-regex-1/debian/postinst
@@ -0,0 +1,52 @@
+#! /bin/sh
+# postinst script for lml
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# package name according to lisp
+LISP_PKG=regex
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+	/usr/sbin/register-common-lisp-source ${LISP_PKG}
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- cl-regex-1.orig/debian/compat
+++ cl-regex-1/debian/compat
@@ -0,0 +1 @@
+4
--- cl-regex-1.orig/debian/rules
+++ cl-regex-1/debian/rules
@@ -0,0 +1,89 @@
+#!/usr/bin/make -f
+
+
+pkg	:= regex
+debpkg  := cl-regex
+
+files		:= packages.lisp gen.lisp optimize.lisp macs.lisp regex.lisp \
+		closure.lisp parser.lisp
+examples	:= regexp-test-suite.lisp retest.lisp
+docs		:= README.Debian
+
+clc-source	:= usr/share/common-lisp/source
+clc-systems	:= usr/share/common-lisp/systems
+clc-pkg		:= $(clc-source)/$(pkg)
+doc-dir		:= usr/share/doc/$(debpkg)
+
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+
+	# Add here commands to compile the package.
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+	# Add here commands to clean up after the build process.
+	rm -f debian/$(debpkg).postinst.* debian/$(debpkg).prerm.*
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	# Add here commands to install the package into debian/$(pkg).
+	dh_installdirs $(clc-systems) $(clc-pkg) $(doc-dir)
+	chmod 644 $(files) $(pkg).asd $(examples)
+	dh_install $(pkg).asd $(files) $(clc-pkg)
+	dh_install $(docs) $(doc-dir)
+	dh_link $(clc-pkg)/$(pkg).asd $(clc-systems)/$(pkg).asd
+
+# Build architecture-independent files here.
+binary-indep: build install
+
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+#	dh_installdebconf	
+	dh_installdocs
+	dh_installexamples $(examples)
+	dh_link
+#	dh_installmenu
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+#	dh_installcron
+#	dh_installman
+#	dh_installinfo
+#	dh_undocumented
+	dh_installchangelogs
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
+
--- cl-regex-1.orig/debian/changelog
+++ cl-regex-1/debian/changelog
@@ -0,0 +1,22 @@
+cl-regex (1-3) unstable; urgency=low
+
+  * Re-adopting.  Closes: #377922
+  * Documentation from homepage included.  Closes: #254015
+  * Specify debhelper compatibility level in debian/compat now. 
+
+ -- Matthew Danish <mrd@debian.org>  Sat, 02 Jun 2007 19:39:54 -0400
+
+cl-regex (1-2) unstable; urgency=low
+
+  * QA Upload
+  * Set Maintainer to QA Group, Orphaned: #377922
+  * Move debhelper from B-D-I to B-D
+  * Conforms with latest standards version
+
+ -- Michael Ablassmeier <abi@debian.org>  Mon, 31 Jul 2006 15:26:19 +0200
+
+cl-regex (1-1) unstable; urgency=low
+
+  * Initial release. (Closes: #168303)
+
+ -- Matthew Danish <mdanish@andrew.cmu.edu>  Fri,  8 Nov 2002 10:30:01 -0500
--- cl-regex-1.orig/debian/copyright
+++ cl-regex-1/debian/copyright
@@ -0,0 +1,34 @@
+Debian Copyright Section
+========================
+
+Upstream Source URL: http://www.geocities.com/mparker762/clawk.html
+Upstream Author: Kenneth Michael Parker <mparker762@hotmail.com>
+Debian Maintainer: Matthew Danish <mdanish@andrew.cmu.edu>
+
+Upstream Copyright Statement
+============================
+
+Copyright (c) 2000,2001,2002 Kenneth Michael Parker
+All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions
+are met:
+1. Redistributions of source code must retain the above copyright
+   notice, this list of conditions and the following disclaimer.
+2. Redistributions in binary form must reproduce the above copyright
+   notice, this list of conditions and the following disclaimer in the
+   documentation and/or other materials provided with the distribution.
+3. The name of the author may not be used to endorse or promote products
+   derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--- cl-regex-1.orig/debian/docs
+++ cl-regex-1/debian/docs
@@ -0,0 +1 @@
+README
--- cl-regex-1.orig/debian/control
+++ cl-regex-1/debian/control
@@ -0,0 +1,14 @@
+Source: cl-regex
+Section: devel
+Priority: optional
+Maintainer: Matthew Danish <mrd@debian.org>
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
+
+Package: cl-regex
+Architecture: all
+Depends: common-lisp-controller (>= 3.37)
+Description: Common Lisp regular expression compiler/matcher
+ A fully-featured regular expression compiler and matching engine for
+ Common Lisp that claims to be roughly 5x-20x times faster than the GNU 
+ regex matcher written in C.
